UI::Util::Converter Class Referenceabstract

Factory for Conversions. More...

`#include <Recoder.hpp>`

Inheritance diagram for UI::Util::Converter:
Collaboration diagram for UI::Util::Converter:

## Public Types

enum | ErrorCode { EncUnknown_ , ConversionErr_ , UnknownErr_ }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.

## Public Member Functions

| Converter (std::string const &inEnc, std::string const &outEnc, bool const &sloppy=false)
| Converter base constructor.
virtual Conversion const * | make (char const *const buf, size_t const bufSize) const =0
| Convert from byte buffer.
Conversion const * | make (char const *const cStr) const
| Convert from C-String.
Conversion const * | make (std::string const &str) const
| Convert from std::string.
std::string | getID () const
| Get id (informational).

## Protected Attributes

Input/output encoding and sloppy conversion flag.
std::string const | inEnc_
std::string const | outEnc_
bool const | sloppy_

## Detailed Description

Factory for Conversions.

## Member Function Documentation

## make()

virtual Conversion const * UI::Util::Converter::make | ( | char const *const | buf,
|  | size_t const | bufSize
| ) |  | const

pure virtual

Convert from byte buffer.

Implemented in UI::Util::LibRecodeConverter, UI::Util::IConvConverter, UI::Util::URLConverter, UI::Util::Cpp2Base64Converter, UI::Util::Rfc2047Converter, UI::Util::Rfc3490Utf8Converter, and UI::Util::IdnEMailConverter.

Referenced by make(), and make().

The documentation for this class was generated from the following files:

- Recoder.hpp
- Recoder.cpp